Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLStructuredGridReader Class Reference

`#include <vtkXMLStructuredGridReader.h>`

Inheritance diagram for vtkXMLStructuredGridReader:

[legend]
Collaboration diagram for vtkXMLStructuredGridReader:

[legend]
List of all members.

## Detailed Description

Read VTK XML StructuredGrid files.

Date:
  2003/02/07 20:06:29

Revision:
  1.2

vtkXMLStructuredGridReader reads the VTK XML StructuredGrid file format. One structured grid file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vts". This reader is also used to read a single piece of the parallel file format.

See also:
  vtkXMLPStructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (94%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLStructuredGridReader.h)`
  - .`cxx` (`/IO/vtkXMLStructuredGridReader.cxx)`

Definition at line 50 of file vtkXMLStructuredGridReader.h.

## Public Types
typedef vtkXMLStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkStructuredGrid *output)
vtkStructuredGrid * | GetOutput ()
vtkStructuredGrid * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLStructuredGridReader * | SafeDownCast (vtkObject *o)
vtkXMLStructuredGridReader * | New ()
## Protected Methods
| vtkXMLStructuredGridReader ()
| ~vtkXMLStructuredGridReader ()
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
void | SetupPieces (int numPieces)
void | DestroyPieces ()
void | SetupOutputInformation ()
void | SetupOutputData ()
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData ()
## Protected Attributes
vtkXMLDataElement ** | PointElements

## Member Typedef Documentation

typedef vtkXMLStructuredDataReader vtkXMLStructuredGridReader::Superclass

| Reimplemented from vtkXMLStructuredDataReader. Definition at line 53 of file vtkXMLStructuredGridReader.h.

## Constructor & Destructor Documentation

vtkXMLStructuredGridReader::vtkXMLStructuredGridReader | ( |  | ) | `[protected]`

vtkXMLStructuredGridReader::~vtkXMLStructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLStructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

int vtkXMLStructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

virtual int vtkXMLStructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLStructuredGridReader* vtkXMLStructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLStructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLStructuredGridReader* vtkXMLStructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLStructuredGridReader::SetOutput | ( | vtkStructuredGrid * | output | ) |

| Get/Set the reader's output.

vtkStructuredGrid* vtkXMLStructuredGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkStructuredGrid* vtkXMLStructuredGridReader::GetOutput | ( | int | idx | ) |

| Get/Set the reader's output. Reimplemented from vtkSource.

const char* vtkXMLStructuredGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLStructuredGridReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataReader.

void vtkXMLStructuredGridReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLStructuredGridReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLStructuredGridReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

void vtkXMLStructuredGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

int vtkXMLStructuredGridReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

int vtkXMLStructuredGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

## Member Data Documentation

vtkXMLDataElement** vtkXMLStructuredGridReader::PointElements`[protected]`

| Definition at line 80 of file vtkXMLStructuredGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLStructuredGridReader.h